<template>
  <video ref="myVideo" muted="true" autoplay class="camFormat"></video>
</template>

<script>
export default {
  name: 'camUser',
  data: () => ({
    stream: '',
    video: '',
  }),
  methods: {
    peerConnect() {
      navigator.getUserMedia =
        navigator.getUserMedia || navigator.webkitGetUserMedia || navigator.mozGetUserMedia
      navigator.getUserMedia(
        {
          video: true,
          audio: false,
        },
        (stream) => {
          this.stream = stream
          let videoWindow = this.$refs.myVideo
          videoWindow.srcObject = this.stream
        },
        (err) => {
          console.error('Failed to get local stream', err)
        }
      )
    },
  },
  mounted() {
    this.peerConnect()
  },
  beforeDestroy() {
    let tracks = this.$refs.myVideo.srcObject.getTracks()
    for (var i = 0; i < tracks.length; i++) {
      var track = tracks[i]
      track.stop()
    }
    this.$refs.myVideo.srcObject = null
  },
}
</script>

<style scoped>
.camFormat {
  max-width: 240px;
  margin-left: 2px;
}
</style>
